<?php
/**
 * $Horde: trean/browse.php,v 1.60 2007/02/04 22:52:44 chuck Exp $
 *
 * Copyright 2002-2006 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

@define('TREAN_BASE', dirname(__FILE__));
require_once TREAN_BASE . '/lib/base.php';
require_once TREAN_BASE . '/lib/Views/BookmarkList.php';
require_once 'Horde/Tree.php';

/* Get bookmarks to display. */
$folderId = Util::getFormData('f', $trean_shares->getId(Auth::getAuth()));
$folder = &$trean_shares->getFolder($folderId);

/* Make sure user has permission to view this folder. */
if (!$folder->hasPermission(Auth::getAuth(), PERMS_READ)) {
    $notification->push(_("You do not have permission to view this folder."), 'horde.error');
    header('Location: ' . Horde::applicationUrl('browse.php', true));
    exit;
}

/* Get folder contents. */
$bookmarks = $folder->listBookmarks($prefs->getValue('sortby'),
                                    $prefs->getValue('sortdir'));

Horde::addScriptFile('tables.js', 'horde', true);
$title = _("Browse");
require TREAN_TEMPLATES . '/common-header.inc';
require TREAN_TEMPLATES . '/menu.inc';
require TREAN_TEMPLATES . '/browse.php';
require $registry->get('templates', 'horde') . '/common-footer.inc';
